--
-- suite du fichier 0_scribe-gepi.sql
--

-- connexion à la base
\r gepi

-- 
-- Structure de la table `setting`
-- 

CREATE TABLE `setting` (
  `NAME` varchar(255) NOT NULL default '',
  `VALUE` text NOT NULL,
  PRIMARY KEY  (`NAME`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `setting`
-- 

INSERT INTO `setting` (`NAME`, `VALUE`) VALUES 
('version', '1.5.0'),
('versionRc', ''),
('versionBeta', ''),
('sessionMaxLength', '30'),
('Impression', '<center><p class = "grand">Gestion des Elèves Par Internet</p></center>\r\n<br />\r\n<p class = "grand">Qu''est-ce que GEPI ?</p>\r\n\r\n<p>Afin d''étudier les modalités d''informatisation des bulletins scolaires : notes et appréciations via Internet, une expérimentation (baptisée Gestion des Elèves Par Internet)a été mise en place. Cette expérimentation concerne les classes suivantes : \r\n<br />* ....\r\n<br />* ....\r\n<br />\r\n<br />\r\nCeci vous concerne car vous êtes professeur enseignant dans l''une ou l''autre de ces classes.\r\n<br />\r\n<br />\r\nA partir de la réception de ce document, vous pourrez remplir les bulletins informatisés :\r\n<span class = "norme">\r\n<UL><li>soit au lycée à partir de n''importe quel poste connecté à Internet,\r\n<li>soit chez vous si vous disposez d''une connexion Internet.\r\n</ul>\r\n</span>\r\n<p class = "grand">Comment accéder au module de saisie (notes etappréciations) :</p>\r\n<span class = "norme">\r\n<UL>\r\n    <LI>Se connecter à Internet\r\n    <LI>Lancer un navigateur (FireFox de préférence, Opera, Internet Explorer, ...)\r\n    <LI>Se connecter au site : https://adresse_du_site/gepi\r\n    <LI>Après quelques instants une page apparaît vous invitant à entrer un nom d''identifiant et un mot de passe (cesinformations figurent en haut de cette page).\r\n    <br />ATTENTION : votre mot de passe est strictement confidentiel.\r\n    <br />\r\n    <br />Une fois ces informations fournies, cliquez sur le bouton "Ok".\r\n    <LI> Après quelques instants une page d''accueil apparaît.<br />\r\nLa première fois, Gepi vous demande de changer votre mot de passe.\r\nChoisissez-en un facile à retenir, mais non trivial (évitez toute date\r\nde naissance, nom d''animal familier, prénom, etc.), et contenant\r\nlettre(s), chiffre(s), et caractère(s) non alphanumérique(s).<br />\r\nLes fois suivantes, vous arriverez directement au menu général de\r\nl''application. Pour bien prendre connaissance des possibilités de\r\nl''application, n''hésitez pas à essayer tous les liens disponibles !\r\n</ul></span>\r\n<p class = "grand">Remarque :</p>\r\n<p>GEPI est prévu pour que chaque professeur ne puisse modifier les notes ou les appréciations que dans les rubriques qui le concernent et uniquement pour ses élèves.\r\n<br />\r\nJe reste à votre disposition pour tout renseignement complémentaire.\r\n    <br />\r\n    Le proviseur adjoint\r\n</p>'),
('gepiYear', '2006/2007'),
('gepiSchoolName', "%%libelle_etab"),
('gepiSchoolAdress1', 'Adresse'),
('gepiSchoolAdress2', 'Boîte postale'),
('gepiSchoolZipCode', 'Code postal'),
('gepiSchoolCity', 'Ville'),
('gepiAdminAdress', 'email.admin@gepi.fr'),
('titlesize', '14'),
('textsize', '8'),
('cellpadding', '3'),
('cellspacing', '1'),
('largeurtableau', '800'),
('col_matiere_largeur', '150'),
('begin_bookings', '1157058000'),
('end_bookings', '1188594000'),
('max_size', '307200'),
('total_max_size', '5242880'),
('col_note_largeur', '30'),
('active_cahiers_texte', 'y'),
('active_carnets_notes', 'y'),
('active_observatoire', 'n'),
('logo_etab', 'logo.gif'),
('longmin_pwd', '5'),
('duree_conservation_logs', '365'),
('GepiRubConseilProf', 'yes'),
('GepiRubConseilScol', 'yes'),
('bull_ecart_entete', '0'),
('gepi_prof_suivi', 'professeur principal'),
('GepiProfImprBul', 'no'),
('GepiProfImprBulSettings', 'no'),
('GepiScolImprBulSettings', 'yes'),
('GepiAdminImprBulSettings', 'no'),
('GepiAccesReleveScol', 'yes'),
('GepiAccesReleveCpe', 'no'),
('GepiAccesReleveProf', 'no'),
('GepiAccesReleveProfTousEleves', 'no'),
('GepiAccesReleveProfToutesClasses', 'no'),
('GepiAccesReleveProfP', 'yes'),
('page_garde_imprime', 'no'),
('page_garde_texte', 'Madame, Monsieur<br/><br/>Veuillez trouvez ci-joint le bulletin scolaire de votre enfant. Nous vous rappelons que la journ&eacute;e <span style="font-weight: bold;">Portes ouvertes</span> du Lyc&eacute;e aura lieu samedi 20 mai entre 10 h et 17 h.<br/><br/>Veuillez agr&eacute;er, Madame, Monsieur, l''expression de mes meilleurs sentiments.<br/><br/><div style="text-align: right;">Le proviseur</div>'),
('page_garde_padding_top', '4'),
('page_garde_padding_left', '11'),
('page_garde_padding_text', '6'),
('addressblock_padding_top', '40'),
('addressblock_padding_right', '20'),
('addressblock_padding_text', '20'),
('addressblock_length', '60'),
('bull_espace_avis', '5'),
('change_ordre_aff_matieres', 'ok'),
('disable_login', 'no'),
('bull_formule_bas', 'Bulletin à conserver précieusement. Aucun duplicata ne sera délivré. - GEPI : solution libre de gestion et de suivi des résultats scolaires.'),
('delai_devoirs', '7'),
('active_module_absence', 'y'),
('active_module_absence_professeur', 'y'),
('gepiSchoolTel', '00 00 00 00 00'),
('gepiSchoolFax', '00 00 00 00 00'),
('gepiSchoolEmail', 'ce.%%numero_etab@%%{nom_academie}.fr'),
('col_boite_largeur', '120'),
('bull_mention_doublant', 'no'),
('bull_affiche_numero', 'no'),
('nombre_tentatives_connexion', '5'),
('temps_compte_verrouille', '60'),
('bull_affiche_appreciations', 'y'),
('bull_affiche_absences', 'y'),
('bull_affiche_avis', 'y'),
('bull_affiche_aid', 'y'),
('bull_affiche_formule', 'y'),
('bull_affiche_signature', 'y'),
('l_max_aff_trombinoscopes', '120'),
('h_max_aff_trombinoscopes', '160'),
('l_max_imp_trombinoscopes', '70'),
('h_max_imp_trombinoscopes', '100'),
('active_module_msj', 'n'),
('site_msj_gepi', 'http://gepi.sylogix.net/releases/'),
('rc_module_msj', 'n'),
('beta_module_msj', 'n'),
('dossier_ftp_gepi', 'gepi'),
('gepi_denom_boite', 'boite'),
('gepi_denom_boite_genre', 'f'),
('addressblock_font_size', '12'),
('addressblock_logo_etab_prop', '50'),
('addressblock_classe_annee', '35'),
('bull_ecart_bloc_nom', '1'),
('addressblock_debug', 'n'),
('GepiAccesReleveEleve', 'yes'),
('GepiAccesCahierTexteEleve', 'yes'),
('GepiAccesReleveParent', 'yes'),
('GepiAccesCahierTexteParent', 'yes'),
('enable_password_recovery', 'no'),
('GepiPasswordReinitProf', 'no'),
('GepiPasswordReinitScolarite', 'no'),
('GepiPasswordReinitCpe', 'no'),
('GepiPasswordReinitAdmin', 'no'),
('GepiPasswordReinitEleve', 'yes'),
('GepiPasswordReinitParent', 'yes'),
('cahier_texte_acces_public', 'no'),
('GepiAccesEquipePedaEleve', 'yes'),
('GepiAccesEquipePedaEmailEleve', 'no'),
('GepiAccesEquipePedaParent', 'yes'),
('GepiAccesEquipePedaEmailParent', 'no'),
('GepiAccesBulletinSimpleParent', 'yes'),
('GepiAccesBulletinSimpleEleve', 'yes'),
('GepiAccesGraphEleve', 'yes'),
('GepiAccesGraphParent', 'yes'),
('choix_bulletin', '2'),
('min_max_moyclas', '0'),
('bull_categ_font_size_avis', '10'),
('bull_police_avis', 'Times New Roman'),
('bull_font_style_avis', 'Normal'),
('bull_affiche_eleve_une_ligne', 'yes'),
('bull_mention_nom_court', 'yes'),
('option_modele_bulletin', '2'),
('security_alert_email_admin', 'yes'),
('security_alert_email_min_level', '2'),
('security_alert1_normal_cumulated_level', '3'),
('security_alert1_normal_email_admin', 'yes'),
('security_alert1_normal_block_user', 'no'),
('security_alert1_probation_cumulated_level', '1'),
('security_alert1_probation_email_admin', 'yes'),
('security_alert1_probation_block_user', 'no'),
('security_alert2_normal_cumulated_level', '6'),
('security_alert2_normal_email_admin', 'yes'),
('security_alert2_normal_block_user', 'yes'),
('security_alert2_probation_cumulated_level', '3'),
('security_alert2_probation_email_admin', 'yes'),
('security_alert2_probation_block_user', 'yes'),
('deverouillage_auto_periode_suivante', 'n'),
('bull_intitule_app', 'Appréciations / Conseils'),
('GepiAccesMoyennesProf', 'yes'),
('GepiAccesMoyennesProfTousEleves', 'yes'),
('GepiAccesMoyennesProfToutesClasses', 'yes'),
('GepiAccesBulletinSimpleProf', 'yes'),
('GepiAccesBulletinSimpleProfTousEleves', 'no'),
('GepiAccesBulletinSimpleProfToutesClasses', 'no'),
('gepi_stylesheet', 'style'),
('backup_directory', '47Y6XhLibX3PGYdvOPB9fi874IKerTC4cr8woKZ'),
('backupdir_lastchange', '1188287598'),
('use_sso', 'ldap_scribe');

-- --------------------------------------------------------

-- 
-- Structure de la table `suivi_eleve_cpe`
-- 

CREATE TABLE `suivi_eleve_cpe` (
  `id_suivi_eleve_cpe` int(11) NOT NULL auto_increment,
  `eleve_suivi_eleve_cpe` varchar(30) NOT NULL default '',
  `parqui_suivi_eleve_cpe` varchar(150) NOT NULL,
  `date_suivi_eleve_cpe` date NOT NULL default '0000-00-00',
  `heure_suivi_eleve_cpe` time NOT NULL,
  `komenti_suivi_eleve_cpe` text NOT NULL,
  `niveau_message_suivi_eleve_cpe` varchar(1) NOT NULL,
  `action_suivi_eleve_cpe` varchar(2) NOT NULL,
  `support_suivi_eleve_cpe` tinyint(4) NOT NULL,
  `courrier_suivi_eleve_cpe` int(11) NOT NULL,
  PRIMARY KEY  (`id_suivi_eleve_cpe`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `suivi_eleve_cpe`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `temp_gep_import`
-- 

CREATE TABLE `temp_gep_import` (
  `ID_TEMPO` varchar(40) NOT NULL default '',
  `LOGIN` varchar(40) NOT NULL default '',
  `ELENOM` varchar(40) NOT NULL default '',
  `ELEPRE` varchar(40) NOT NULL default '',
  `ELESEXE` varchar(40) NOT NULL default '',
  `ELEDATNAIS` varchar(40) NOT NULL default '',
  `ELENOET` varchar(40) NOT NULL default '',
  `ERENO` varchar(40) NOT NULL default '',
  `ELEDOUBL` varchar(40) NOT NULL default '',
  `ELENONAT` varchar(40) NOT NULL default '',
  `ELEREG` varchar(40) NOT NULL default '',
  `DIVCOD` varchar(40) NOT NULL default '',
  `ETOCOD_EP` varchar(40) NOT NULL default '',
  `ELEOPT1` varchar(40) NOT NULL default '',
  `ELEOPT2` varchar(40) NOT NULL default '',
  `ELEOPT3` varchar(40) NOT NULL default '',
  `ELEOPT4` varchar(40) NOT NULL default '',
  `ELEOPT5` varchar(40) NOT NULL default '',
  `ELEOPT6` varchar(40) NOT NULL default '',
  `ELEOPT7` varchar(40) NOT NULL default '',
  `ELEOPT8` varchar(40) NOT NULL default '',
  `ELEOPT9` varchar(40) NOT NULL default '',
  `ELEOPT10` varchar(40) NOT NULL default '',
  `ELEOPT11` varchar(40) NOT NULL default '',
  `ELEOPT12` varchar(40) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `temp_gep_import`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `tempo`
-- 

CREATE TABLE `tempo` (
  `id_classe` int(11) NOT NULL default '0',
  `max_periode` int(11) NOT NULL default '0',
  `num` char(32) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `tempo`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `tempo2`
-- 

CREATE TABLE `tempo2` (
  `col1` varchar(100) NOT NULL default '',
  `col2` varchar(100) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `tempo2`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `tentatives_intrusion`
-- 

CREATE TABLE `tentatives_intrusion` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `login` varchar(255) NOT NULL default '',
  `adresse_ip` varchar(255) NOT NULL,
  `date` datetime NOT NULL,
  `niveau` smallint(6) NOT NULL,
  `fichier` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `statut` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`,`login`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=17 ;

-- 
-- Contenu de la table `tentatives_intrusion`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `utilisateurs`
-- 

CREATE TABLE `utilisateurs` (
  `login` varchar(50) NOT NULL default '',
  `nom` varchar(50) NOT NULL default '',
  `prenom` varchar(50) NOT NULL default '',
  `civilite` varchar(5) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `email` varchar(50) NOT NULL default '',
  `show_email` varchar(3) NOT NULL default 'no',
  `statut` varchar(20) NOT NULL default '',
  `etat` varchar(20) NOT NULL default '',
  `change_mdp` char(1) NOT NULL default 'n',
  `date_verrouillage` datetime NOT NULL default '2006-01-01 00:00:00',
  `password_ticket` varchar(255) NOT NULL,
  `ticket_expiration` datetime NOT NULL,
  `niveau_alerte` smallint(6) NOT NULL default '0',
  `observation_securite` tinyint(4) NOT NULL default '0',
  `temp_dir` varchar(255) NOT NULL,
  PRIMARY KEY  (`login`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `utilisateurs`
-- 

INSERT INTO `utilisateurs` (`login`, `nom`, `prenom`, `civilite`, `password`, `email`, `show_email`, `statut`, `etat`, `change_mdp`, `date_verrouillage`, `password_ticket`, `ticket_expiration`, `niveau_alerte`, `observation_securite`, `temp_dir`) VALUES 
('ADMIN', 'GEPI', 'Administrateur', 'M.', '62880aee8413ddd1ef95fc4dfb7b4b96', '', 'no', 'administrateur', 'actif', 'n', '0000-00-00 00:00:00', '', '0000-00-00 00:00:00', 0, 0, 'ADMIN_cz5GTuHblb6Rw1j00w52Y6UMz3P89eBkXPG');

-- --------------------------------------------------------

-- 
-- Structure de la table `vs_alerts_eleves`
-- 

CREATE TABLE `vs_alerts_eleves` (
  `id_alert_eleve` int(11) NOT NULL auto_increment,
  `eleve_alert_eleve` varchar(100) NOT NULL,
  `date_alert_eleve` date NOT NULL,
  `groupe_alert_eleve` int(11) NOT NULL,
  `type_alert_eleve` int(11) NOT NULL,
  `nb_trouve` int(11) NOT NULL,
  `temp_insert` varchar(100) NOT NULL,
  `etat_alert_eleve` tinyint(4) NOT NULL,
  `etatpar_alert_eleve` varchar(100) NOT NULL,
  PRIMARY KEY  (`id_alert_eleve`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `vs_alerts_eleves`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `vs_alerts_groupes`
-- 

CREATE TABLE `vs_alerts_groupes` (
  `id_alert_groupe` int(11) NOT NULL auto_increment,
  `nom_alert_groupe` varchar(150) NOT NULL,
  `creerpar_alert_groupe` varchar(100) NOT NULL,
  PRIMARY KEY  (`id_alert_groupe`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `vs_alerts_groupes`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `vs_alerts_types`
-- 

CREATE TABLE `vs_alerts_types` (
  `id_alert_type` int(11) NOT NULL auto_increment,
  `groupe_alert_type` int(11) NOT NULL,
  `type_alert_type` varchar(10) NOT NULL,
  `specifisite_alert_type` varchar(25) NOT NULL,
  `eleve_concerne` text NOT NULL,
  `date_debut_comptage` date NOT NULL,
  `nb_comptage_limit` varchar(200) NOT NULL,
  PRIMARY KEY  (`id_alert_type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `vs_alerts_types`
-- 

